## firmware-nonfree 20200918

=== debian/changelog ===
firmware-nonfree (20200918-1.0antix1) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Sun, 11 Oct 2020 15:01:43 +0300
