=== debian/control ===
Source: firmware-nonfree
Section: non-free/kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 4.0.1
Build-Depends: debhelper (>= 9)
Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
XS-Autobuild: yes

Package: firmware-linux
Architecture: all
Section: non-free/metapackages
Depends: firmware-linux-free, firmware-linux-nonfree (= ${binary:Version}), ${misc:Depends}
Recommends: intel-microcode, amd64-microcode
Description: Binary firmware for various drivers in the Linux kernel (metapackage)
 This package depends on both free and non-free firmware which may be used
 with drivers in the Linux kernel.

Package: firmware-linux-nonfree
Architecture: all
Section: non-free/metapackages
Depends: firmware-misc-nonfree (= ${binary:Version}), firmware-amd-graphics (= ${binary:Version}), ${misc:Depends}
Recommends: intel-microcode, amd64-microcode
Description: Binary firmware for various drivers in the Linux kernel (meta-package)
 This package depends on non-free firmware which may be used with drivers
 in the Linux kernel.

Package: firmware-qcom-media
Architecture: all
Section: non-free/oldlibs
Depends: firmware-qcom-soc, ${misc:Depends}
Description: Binary firmware for Qualcomm graphics/video (dummy package)
 This is a dummy transitional package.  It can be safely removed.
Multi-Arch: foreign

Package: firmware-amd-graphics
Architecture: all
Provides: 
Depends: ${misc:Depends}
Recommends: 
Suggests: initramfs-tools
Replaces: firmware-linux-nonfree (<< 20151018-1~)
Breaks: firmware-linux-nonfree (<< 20151018-1~)
Conflicts: 
Description: Binary firmware for AMD/ATI graphics chips
 This package contains the binary firmware for AMD/ATI graphics chips
 supported by the radeon, amdgpu and r128 drivers.
 .
 Contents:
  * "Banks" K-2 SMC microcode (amdgpu/banks_k_2_smc.bin)
  * Radeon HD 7790/8770/8950 CE microcode (amdgpu/bonaire_ce.bin)
  * Radeon HD 7790/8770/8950 K SMC microcode (amdgpu/bonaire_k_smc.bin)
  * Radeon HD 7790/8770/8950 MC microcode (amdgpu/bonaire_mc.bin)
  * Radeon HD 7790/8770/8950 ME microcode (amdgpu/bonaire_me.bin)
  * Radeon HD 7790/8770/8950 MEC microcode (amdgpu/bonaire_mec.bin)
  * Radeon HD 7790/8770/8950 PFP microcode (amdgpu/bonaire_pfp.bin)
  * Radeon HD 7790/8770/8950 RLC microcode (amdgpu/bonaire_rlc.bin)
  * Radeon HD 7790/8770/8950 SDMA microcode (amdgpu/bonaire_sdma.bin)
  * Radeon HD 7790/8770/8950 SDMA1 microcode (amdgpu/bonaire_sdma1.bin)
  * Radeon HD 7790/8770/8950 series SMC microcode
    (amdgpu/bonaire_smc.bin)
  * Radeon HD 7790/8770/8950 UVD microcode (amdgpu/bonaire_uvd.bin)
  * Radeon HD 7790/8770/8950 VCE microcode (amdgpu/bonaire_vce.bin)
  * "Carrizo" CE firmware (amdgpu/carrizo_ce.bin)
  * "Carrizo" ME firmware (amdgpu/carrizo_me.bin)
  * "Carrizo" MEC firmware (amdgpu/carrizo_mec.bin)
  * "Carrizo" MEC2 firmware (amdgpu/carrizo_mec2.bin)
  * "Carrizo" PFP firmware (amdgpu/carrizo_pfp.bin)
  * "Carrizo" RLC firmware (amdgpu/carrizo_rlc.bin)
  * "Carrizo" SDMA firmware (amdgpu/carrizo_sdma.bin)
  * "Carrizo" SDMA1 firmware (amdgpu/carrizo_sdma1.bin)
  * "Carrizo" UVD firmware, version 1.87 (amdgpu/carrizo_uvd.bin)
  * "Carrizo" VCE firmware (amdgpu/carrizo_vce.bin)
  * "Fiji" CE firmware (amdgpu/fiji_ce.bin)
  * "Fiji" MC firmware (amdgpu/fiji_mc.bin)
  * "Fiji" ME firmware (amdgpu/fiji_me.bin)
  * "Fiji" MEC firmware (amdgpu/fiji_mec.bin)
  * "Fiji" MEC2 firmware (amdgpu/fiji_mec2.bin)
  * "Fiji" PFP firmware (amdgpu/fiji_pfp.bin)
  * "Fiji" RLC firmware (amdgpu/fiji_rlc.bin)
  * "Fiji" SDMA firmware (amdgpu/fiji_sdma.bin)
  * "Fiji" SDMA1 firmware (amdgpu/fiji_sdma1.bin)
  * "Fiji" SMC firmware (amdgpu/fiji_smc.bin)
  * "Fiji" UVD firmware, version 1.87.12 (amdgpu/fiji_uvd.bin)
  * "Fiji" VCE firmware (amdgpu/fiji_vce.bin)
  * Radeon HD 8500M series and R5 M200 CE microcode
    (amdgpu/hainan_ce.bin)
  * Radeon HD 8500M series and R5 M200 K SMC microcode
    (amdgpu/hainan_k_smc.bin)
  * Radeon HD 8500M series and R5 M200 MC microcode
    (amdgpu/hainan_mc.bin)
  * Radeon HD 8500M series and R5 M200 ME microcode
    (amdgpu/hainan_me.bin)
  * Radeon HD 8500M series and R5 M200 PFP microcode
    (amdgpu/hainan_pfp.bin)
  * Radeon HD 8500M series and R5 M200 RLC microcode
    (amdgpu/hainan_rlc.bin)
  * Radeon HD 8500M series and R5 M200 SMC microcode
    (amdgpu/hainan_smc.bin)
  * Radeon R9 290 series CE microcode (amdgpu/hawaii_ce.bin)
  * Radeon R9 290 series K SMC microcode (amdgpu/hawaii_k_smc.bin)
  * Radeon R9 290 series MC microcode (amdgpu/hawaii_mc.bin)
  * Radeon R9 290 series ME microcode (amdgpu/hawaii_me.bin)
  * Radeon R9 290 series MEC microcode (amdgpu/hawaii_mec.bin)
  * Radeon R9 290 series PFP microcode (amdgpu/hawaii_pfp.bin)
  * Radeon R9 290 series RLC microcode (amdgpu/hawaii_rlc.bin)
  * Radeon R9 290 series SDMA microcode (amdgpu/hawaii_sdma.bin)
  * Radeon R9 290 series SDMA microcode (amdgpu/hawaii_sdma1.bin)
  * Radeon R9 290 series SMC microcode (amdgpu/hawaii_smc.bin)
  * Radeon R9 290 series UVD microcode (amdgpu/hawaii_uvd.bin)
  * Radeon R9 290 series VCE microcode (amdgpu/hawaii_vce.bin)
  * Radeon HD 8100/8200/8300/8400 series CE microcode
    (amdgpu/kabini_ce.bin)
  * Radeon HD 8100/8200/8300/8400 series ME microcode
    (amdgpu/kabini_me.bin)
  * Radeon HD 8100/8200/8300/8400 series MEC microcode
    (amdgpu/kabini_mec.bin)
  * Radeon HD 8100/8200/8300/8400 series PFP microcode
    (amdgpu/kabini_pfp.bin)
  * Radeon HD 8100/8200/8300/8400 series RLC microcode
    (amdgpu/kabini_rlc.bin)
  * Radeon HD 8100/8200/8300/8400 series SDMA microcode
    (amdgpu/kabini_sdma.bin)
  * Radeon HD 8100/8200/8300/8400 series SDMA1 microcode
    (amdgpu/kabini_sdma1.bin)
  * Radeon HD 8100/8200/8300/8400 series UVD microcode
    (amdgpu/kabini_uvd.bin)
  * Radeon HD 8100/8200/8300/8400 series VCE microcode
    (amdgpu/kabini_vce.bin)
  * Radeon R5/R7 IGP 200 series CE microcode (amdgpu/kaveri_ce.bin)
  * Radeon R5/R7 IGP 200 series ME microcode (amdgpu/kaveri_me.bin)
  * Radeon R5/R7 IGP 200 series MEC microcode (amdgpu/kaveri_mec.bin)
  * Radeon R5/R7 IGP 200 series MEC microcode (amdgpu/kaveri_mec2.bin)
  * Radeon R5/R7 IGP 200 series PFP microcode (amdgpu/kaveri_pfp.bin)
  * Radeon R5/R7 IGP 200 series RLC microcode (amdgpu/kaveri_rlc.bin)
  * Radeon R5/R7 IGP 200 series SDMA microcode (amdgpu/kaveri_sdma.bin)
  * Radeon R5/R7 IGP 200 series SDMA1 microcode
    (amdgpu/kaveri_sdma1.bin)
  * Radeon R5/R7 IGP 200 series UVD microcode (amdgpu/kaveri_uvd.bin)
  * Radeon R5/R7 IGP 200 series VCE microcode (amdgpu/kaveri_vce.bin)
  * Radeon "Mullins"/"Beema" IGP CE microcode (amdgpu/mullins_ce.bin)
  * Radeon "Mullins"/"Beema" IGP ME microcode (amdgpu/mullins_me.bin)
  * Radeon "Mullins"/"Beema" IGP MEC microcode (amdgpu/mullins_mec.bin)
  * Radeon "Mullins"/"Beema" IGP PFP microcode (amdgpu/mullins_pfp.bin)
  * Radeon "Mullins"/"Beema" IGP RLC microcode (amdgpu/mullins_rlc.bin)
  * Radeon "Mullins"/"Beema" IGP SDMA microcode
    (amdgpu/mullins_sdma.bin)
  * Radeon "Mullins"/"Beema" IGP SDMA1 microcode
    (amdgpu/mullins_sdma1.bin)
  * Radeon "Mullins"/"Beema" IGP UVD microcode (amdgpu/mullins_uvd.bin)
  * Radeon "Mullins"/"Beema" IGP VCE microcode (amdgpu/mullins_vce.bin)
  * "Navi 10" ASD firmware (amdgpu/navi10_asd.bin)
  * "Navi 10" CE firmware (amdgpu/navi10_ce.bin)
  * "Navi 10" GPU info (amdgpu/navi10_gpu_info.bin)
  * "Navi 10" ME firmware (amdgpu/navi10_me.bin)
  * "Navi 10" MEC firmware (amdgpu/navi10_mec.bin)
  * "Navi 10" MEC2 firmware (amdgpu/navi10_mec2.bin)
  * "Navi 10" PFP firmware (amdgpu/navi10_pfp.bin)
  * "Navi 10" RLC firmware (amdgpu/navi10_rlc.bin)
  * "Navi 10" SDMA firmware (amdgpu/navi10_sdma.bin)
  * "Navi 10" SDMA1 firmware (amdgpu/navi10_sdma1.bin)
  * "Navi 10" SMC firmware (amdgpu/navi10_smc.bin)
  * "Navi 10" SOS firmware (amdgpu/navi10_sos.bin)
  * "Navi 10" TA firmware (amdgpu/navi10_ta.bin)
  * "Navi 10" VCN firmware (amdgpu/navi10_vcn.bin)
  * "Navi 12" ASD firmware (amdgpu/navi12_asd.bin)
  * "Navi 12" CE firmware (amdgpu/navi12_ce.bin)
  * "Navi 12" DMCU firmware (amdgpu/navi12_dmcu.bin)
  * "Navi 12" GPU info (amdgpu/navi12_gpu_info.bin)
  * "Navi 12" ME firmware (amdgpu/navi12_me.bin)
  * "Navi 12" MEC firmware (amdgpu/navi12_mec.bin)
  * "Navi 12" MEC2 firmware (amdgpu/navi12_mec2.bin)
  * "Navi 12" PFP firmware (amdgpu/navi12_pfp.bin)
  * "Navi 12" RLC firmware (amdgpu/navi12_rlc.bin)
  * "Navi 12" SDMA firmware (amdgpu/navi12_sdma.bin)
  * "Navi 12" SDMA1 firmware (amdgpu/navi12_sdma1.bin)
  * "Navi 12" SMC firmware (amdgpu/navi12_smc.bin)
  * "Navi 12" SOS firmware (amdgpu/navi12_sos.bin)
  * "Navi 12" VCN firmware (amdgpu/navi12_vcn.bin)
  * "Navi 12" TA firmware (amdgpu/navi12_ta.bin)
  * "Navi 14" ASD firmware (amdgpu/navi14_asd.bin)
  * "Navi 14" CE firmware (amdgpu/navi14_ce.bin)
  * "Navi 14 wks" CE firmware (amdgpu/navi14_ce_wks.bin)
  * "Navi 14" GPU info (amdgpu/navi14_gpu_info.bin)
  * "Navi 14" ME firmware (amdgpu/navi14_me.bin)
  * "Navi 14 wks" ME firmware (amdgpu/navi14_me_wks.bin)
  * "Navi 14" MEC firmware (amdgpu/navi14_mec.bin)
  * "Navi 14" MEC2 firmware (amdgpu/navi14_mec2.bin)
  * "Navi 14 wks" MEC2 firmware (amdgpu/navi14_mec2_wks.bin)
  * "Navi 14 wks" MEC firmware (amdgpu/navi14_mec_wks.bin)
  * "Navi 14" PFP firmware (amdgpu/navi14_pfp.bin)
  * "Navi 14 wks" PFP firmware (amdgpu/navi14_pfp_wks.bin)
  * "Navi 14" RLC firmware (amdgpu/navi14_rlc.bin)
  * "Navi 14" SDMA firmware (amdgpu/navi14_sdma.bin)
  * "Navi 14" SDMA1 firmware (amdgpu/navi14_sdma1.bin)
  * "Navi 14" SMC firmware (amdgpu/navi14_smc.bin)
  * "Navi 14" SOS firmware (amdgpu/navi14_sos.bin)
  * "Navi 14" TA firmware (amdgpu/navi14_ta.bin)
  * "Navi 14" VCN firmware (amdgpu/navi14_vcn.bin)
  * Radeon HD 8500/8600/8700 series CE microcode (amdgpu/oland_ce.bin)
  * Radeon HD 8500/8600/8700 series K SMC microcode
    (amdgpu/oland_k_smc.bin)
  * Radeon HD 8500/8600/8700 series MC microcode (amdgpu/oland_mc.bin)
  * Radeon HD 8500/8600/8700 series ME microcode (amdgpu/oland_me.bin)
  * Radeon HD 8500/8600/8700 series PFP microcode (amdgpu/oland_pfp.bin)
  * Radeon HD 8500/8600/8700 series RLC microcode (amdgpu/oland_rlc.bin)
  * Radeon HD 8500/8600/8700 series SMC microcode (amdgpu/oland_smc.bin)
  * Radeon HD 8500/8600/8700 series UVD microcode (amdgpu/oland_uvd.bin)
  * "Picasso" ASD firmware (amdgpu/picasso_asd.bin)
  * "Picasso" CE firmware (amdgpu/picasso_ce.bin)
  * "Picasso" GPU info (amdgpu/picasso_gpu_info.bin)
  * "Picasso" ME firmware (amdgpu/picasso_me.bin)
  * "Picasso" MEC firmware (amdgpu/picasso_mec.bin)
  * "Picasso" MEC2 firmware (amdgpu/picasso_mec2.bin)
  * "Picasso" PFP firmware (amdgpu/picasso_pfp.bin)
  * "Picasso" RLC firmware (amdgpu/picasso_rlc.bin)
  * "Picasso" RLC AM4 firmware (amdgpu/picasso_rlc_am4.bin)
  * "Picasso" SDMA firmware (amdgpu/picasso_sdma.bin)
  * "Picasso" TA firmware (amdgpu/picasso_ta.bin)
  * "Picasso" VCN firmware (amdgpu/picasso_vcn.bin)
  * Radeon HD 7800 series CE microcode (amdgpu/pitcairn_ce.bin)
  * Radeon HD 7800 series K SMC microcode (amdgpu/pitcairn_k_smc.bin)
  * Radeon HD 7800 series MC microcode (amdgpu/pitcairn_mc.bin)
  * Radeon HD 7800 series ME microcode (amdgpu/pitcairn_me.bin)
  * Radeon HD 7800 series PFP microcode (amdgpu/pitcairn_pfp.bin)
  * Radeon HD 7800 series RLC microcode (amdgpu/pitcairn_rlc.bin)
  * Radeon HD 7800 series SMC microcode (amdgpu/pitcairn_smc.bin)
  * Radeon HD 7800 series UVD microcode (amdgpu/pitcairn_uvd.bin)
  * "Polaris 10" old CE firmware (amdgpu/polaris10_ce.bin)
  * "Polaris 10" new CE firmware (amdgpu/polaris10_ce_2.bin)
  * "Polaris 10" K2 SMC firmware (amdgpu/polaris10_k2_smc.bin)
  * "Polaris 10" K MC firmware (amdgpu/polaris10_k_mc.bin)
