## firmware-nonfree 20201118

=== debian/changelog ===
firmware-nonfree (20201118-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * d/rules.def: switch to linux-support-5.8.0-2 to match what I have installed.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 11 Jan 2021 09:30:54 -0800
