## firmware-nonfree 20210208

=== debian/changelog ===
firmware-nonfree (20210208-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.
  * d/rules.def: switch to linux-support-5.8.14-1 to match what I have installed.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 12 Feb 2021 07:55:08 -0500
