## firmware-nonfree 20210315

=== debian/control ===
--- 
+++ 
@@ -85,6 +85,17 @@
   * "Fiji" SMC firmware (amdgpu/fiji_smc.bin)
   * "Fiji" UVD firmware, version 1.87.12 (amdgpu/fiji_uvd.bin)
   * "Fiji" VCE firmware (amdgpu/fiji_vce.bin)
+  * AMD RYZEN 5000 ASD firmware (amdgpu/green_sardine_asd.bin)
+  * AMD RYZEN 5000 CE firmware (amdgpu/green_sardine_ce.bin)
+  * AMD RYZEN 5000 DMCUB firmware (amdgpu/green_sardine_dmcub.bin)
+  * AMD RYZEN 5000 ME firmware (amdgpu/green_sardine_me.bin)
+  * AMD RYZEN 5000 MEC2 firmware (amdgpu/green_sardine_mec2.bin)
+  * AMD RYZEN 5000 MEC firmware (amdgpu/green_sardine_mec.bin)
+  * AMD RYZEN 5000 PFP firmware (amdgpu/green_sardine_pfp.bin)
+  * AMD RYZEN 5000 RLC firmware (amdgpu/green_sardine_rlc.bin)
+  * AMD RYZEN 5000 SDMA firmware (amdgpu/green_sardine_sdma.bin)
+  * AMD RYZEN 5000 TA firmware (amdgpu/green_sardine_ta.bin)
+  * AMD RYZEN 5000 VCN firmware (amdgpu/green_sardine_vcn.bin)
   * Radeon HD 8500M series and R5 M200 CE microcode
     (amdgpu/hainan_ce.bin)
   * Radeon HD 8500M series and R5 M200 K SMC microcode
@@ -221,14 +232,3 @@
   * "Picasso" TA firmware (amdgpu/picasso_ta.bin)
   * "Picasso" VCN firmware (amdgpu/picasso_vcn.bin)
   * Radeon HD 7800 series CE microcode (amdgpu/pitcairn_ce.bin)
-  * Radeon HD 7800 series K SMC microcode (amdgpu/pitcairn_k_smc.bin)
-  * Radeon HD 7800 series MC microcode (amdgpu/pitcairn_mc.bin)
-  * Radeon HD 7800 series ME microcode (amdgpu/pitcairn_me.bin)
-  * Radeon HD 7800 series PFP microcode (amdgpu/pitcairn_pfp.bin)
-  * Radeon HD 7800 series RLC microcode (amdgpu/pitcairn_rlc.bin)
-  * Radeon HD 7800 series SMC microcode (amdgpu/pitcairn_smc.bin)
-  * Radeon HD 7800 series UVD microcode (amdgpu/pitcairn_uvd.bin)
-  * "Polaris 10" old CE firmware (amdgpu/polaris10_ce.bin)
-  * "Polaris 10" new CE firmware (amdgpu/polaris10_ce_2.bin)
-  * "Polaris 10" K2 SMC firmware (amdgpu/polaris10_k2_smc.bin)
-  * "Polaris 10" K MC firmware (amdgpu/polaris10_k_mc.bin)
