## firmware-nonfree 20210322

=== debian/changelog ===
firmware-nonfree (20210322-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 21 Jun 2021 14:45:07 -0700

firmware-nonfree (20210322-1~exp1) experimental; urgency=medium

  * New upstream version:
    - amdgpu: add initial support for navy flounder
    - amdgpu: update raven firmware for 20.50
    - amdgpu: update raven2 firmware for 20.50
    - amdgpu: update navi10 firmware for 20.50
    - amdgpu: update renoir firmware for 20.50
    - amdgpu: update vega10 firmware for 20.50
    - amdgpu: update navi12 firmware for 20.50
    - amdgpu: update vega12 firmware for 20.50
    - amdgpu: update navi14 firmware for 20.50
    - amdgpu: update picasso firmware for 20.50
    - amdgpu: update vega20 firmware for 20.50
    - amdgpu: update sienna cichlid firmware for 20.50
    - rtl_bt: Update RTL8822C BT(UART I/F) FW to 0x59A_76A3

 -- maximilian attems <maks@debian.org>  Wed, 24 Mar 2021 09:17:59 +0100
