=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: firmware-nonfree
 Section: non-free/kernel
 Priority: optional
-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 4.0.1
 Build-Depends: debhelper (>= 9)
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
 XS-Autobuild: yes
+XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 
 Package: firmware-linux
 Architecture: all
@@ -210,25 +211,30 @@
   * "Navi 14" SOS firmware (amdgpu/navi14_sos.bin)
   * "Navi 14" TA firmware (amdgpu/navi14_ta.bin)
   * "Navi 14" VCN firmware (amdgpu/navi14_vcn.bin)
+  * AMD Radeon RX 6700 XT CE firmware, version 20.50
+    (amdgpu/navy_flounder_ce.bin)
+  * AMD Radeon RX 6700 XT DMCUB firmware, version 20.50
+    (amdgpu/navy_flounder_dmcub.bin)
+  * AMD Radeon RX 6700 XT ME firmware, version 20.50
+    (amdgpu/navy_flounder_me.bin)
+  * AMD Radeon RX 6700 XT MEC firmware, version 20.50
+    (amdgpu/navy_flounder_mec.bin)
+  * AMD Radeon RX 6700 XT MEC2 firmware, version 20.50
+    (amdgpu/navy_flounder_mec2.bin)
+  * AMD Radeon RX 6700 XT PFP firmware, version 20.50
+    (amdgpu/navy_flounder_pfp.bin)
+  * AMD Radeon RX 6700 XT RLC firmware, version 20.50
+    (amdgpu/navy_flounder_rlc.bin)
+  * AMD Radeon RX 6700 XT SDMA firmware, version 20.50
+    (amdgpu/navy_flounder_sdma.bin)
+  * AMD Radeon RX 6700 XT SMC firmware, version 20.50
+    (amdgpu/navy_flounder_smc.bin)
+  * AMD Radeon RX 6700 XT SOS firmware, version 20.50
+    (amdgpu/navy_flounder_sos.bin)
+  * AMD Radeon RX 6700 XT TA firmware, version 20.50
+    (amdgpu/navy_flounder_ta.bin)
+  * AMD Radeon RX 6700 XT VCN firmware, version 20.50
+    (amdgpu/navy_flounder_vcn.bin)
   * Radeon HD 8500/8600/8700 series CE microcode (amdgpu/oland_ce.bin)
   * Radeon HD 8500/8600/8700 series K SMC microcode
     (amdgpu/oland_k_smc.bin)
-  * Radeon HD 8500/8600/8700 series MC microcode (amdgpu/oland_mc.bin)
-  * Radeon HD 8500/8600/8700 series ME microcode (amdgpu/oland_me.bin)
-  * Radeon HD 8500/8600/8700 series PFP microcode (amdgpu/oland_pfp.bin)
-  * Radeon HD 8500/8600/8700 series RLC microcode (amdgpu/oland_rlc.bin)
-  * Radeon HD 8500/8600/8700 series SMC microcode (amdgpu/oland_smc.bin)
-  * Radeon HD 8500/8600/8700 series UVD microcode (amdgpu/oland_uvd.bin)
-  * "Picasso" ASD firmware (amdgpu/picasso_asd.bin)
-  * "Picasso" CE firmware (amdgpu/picasso_ce.bin)
-  * "Picasso" GPU info (amdgpu/picasso_gpu_info.bin)
-  * "Picasso" ME firmware (amdgpu/picasso_me.bin)
-  * "Picasso" MEC firmware (amdgpu/picasso_mec.bin)
-  * "Picasso" MEC2 firmware (amdgpu/picasso_mec2.bin)
-  * "Picasso" PFP firmware (amdgpu/picasso_pfp.bin)
-  * "Picasso" RLC firmware (amdgpu/picasso_rlc.bin)
-  * "Picasso" RLC AM4 firmware (amdgpu/picasso_rlc_am4.bin)
-  * "Picasso" SDMA firmware (amdgpu/picasso_sdma.bin)
-  * "Picasso" TA firmware (amdgpu/picasso_ta.bin)
-  * "Picasso" VCN firmware (amdgpu/picasso_vcn.bin)
-  * Radeon HD 7800 series CE microcode (amdgpu/pitcairn_ce.bin)
