## firmware-nonfree 20210818

=== debian/changelog ===
firmware-nonfree (20210818-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/rules.def: change to AHS's linux-support-5.10.0-8mx
    installed on my AHS build machine. Multiple versions of linux-support can be
    installed, BTW.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 27 Aug 2021 13:13:14 -0700
