=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: firmware-nonfree
 Section: non-free/kernel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 4.0.1
 Build-Depends: debhelper (>= 9)
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
 XS-Autobuild: yes
-XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 
 Package: firmware-linux
 Architecture: all
@@ -50,6 +49,16 @@
  supported by the radeon, amdgpu and r128 drivers.
  .
  Contents:
+  * AMD Arcturus ASDN firmware (amdgpu/arcturus_asd.bin)
+  * AMD Arcturus GPU info firmware (amdgpu/arcturus_gpu_info.bin)
+  * AMD Arcturus MEC2 firmware (amdgpu/arcturus_mec2.bin)
+  * AMD Arcturus MEC firmware (amdgpu/arcturus_mec.bin)
+  * AMD Arcturus RLC firmware (amdgpu/arcturus_rlc.bin)
+  * AMD Arcturus SDMA firmware (amdgpu/arcturus_sdma.bin)
+  * AMD Arcturus SMC firmware (amdgpu/arcturus_smc.bin)
+  * AMD Arcturus SOS firmware (amdgpu/arcturus_sos.bin)
+  * AMD Arcturus TA firmware (amdgpu/arcturus_ta.bin)
+  * AMD Arcturus VCN firmware (amdgpu/arcturus_vcn.bin)
   * "Banks" K-2 SMC microcode (amdgpu/banks_k_2_smc.bin)
   * Radeon HD 7790/8770/8950 CE microcode (amdgpu/bonaire_ce.bin)
   * Radeon HD 7790/8770/8950 K SMC microcode (amdgpu/bonaire_k_smc.bin)
@@ -74,6 +83,27 @@
   * "Carrizo" SDMA1 firmware (amdgpu/carrizo_sdma1.bin)
   * "Carrizo" UVD firmware, version 1.87 (amdgpu/carrizo_uvd.bin)
   * "Carrizo" VCE firmware (amdgpu/carrizo_vce.bin)
+  * AMD "Dimgrey Cavefish" CE firmware (amdgpu/dimgrey_cavefish_ce.bin)
+  * AMD "Dimgrey Cavefish" DMCUB firmware
+    (amdgpu/dimgrey_cavefish_dmcub.bin)
+  * AMD "Dimgrey Cavefish" ME firmware (amdgpu/dimgrey_cavefish_me.bin)
+  * AMD "Dimgrey Cavefish" MEC firmware
+    (amdgpu/dimgrey_cavefish_mec.bin)
+  * AMD "Dimgrey Cavefish" MEC2 firmware
+    (amdgpu/dimgrey_cavefish_mec2.bin)
+  * AMD "Dimgrey Cavefish" PFP firmware
+    (amdgpu/dimgrey_cavefish_pfp.bin)
+  * AMD "Dimgrey Cavefish" RLC firmware
+    (amdgpu/dimgrey_cavefish_rlc.bin)
+  * AMD "Dimgrey Cavefish" SDMA firmware
+    (amdgpu/dimgrey_cavefish_sdma.bin)
+  * AMD "Dimgrey Cavefish" SMC firmware
+    (amdgpu/dimgrey_cavefish_smc.bin)
+  * AMD "Dimgrey Cavefish" SOS firmware
+    (amdgpu/dimgrey_cavefish_sos.bin)
+  * AMD "Dimgrey Cavefish" TA firmware (amdgpu/dimgrey_cavefish_ta.bin)
+  * AMD "Dimgrey Cavefish" VCN firmware
+    (amdgpu/dimgrey_cavefish_vcn.bin)
   * "Fiji" CE firmware (amdgpu/fiji_ce.bin)
   * "Fiji" MC firmware (amdgpu/fiji_mc.bin)
   * "Fiji" ME firmware (amdgpu/fiji_me.bin)
@@ -208,33 +238,3 @@
   * "Navi 14" SDMA firmware (amdgpu/navi14_sdma.bin)
   * "Navi 14" SDMA1 firmware (amdgpu/navi14_sdma1.bin)
   * "Navi 14" SMC firmware (amdgpu/navi14_smc.bin)
-  * "Navi 14" SOS firmware (amdgpu/navi14_sos.bin)
-  * "Navi 14" TA firmware (amdgpu/navi14_ta.bin)
-  * "Navi 14" VCN firmware (amdgpu/navi14_vcn.bin)
-  * AMD Radeon RX 6700 XT CE firmware, version 20.50
-    (amdgpu/navy_flounder_ce.bin)
-  * AMD Radeon RX 6700 XT DMCUB firmware, version 20.50
-    (amdgpu/navy_flounder_dmcub.bin)
-  * AMD Radeon RX 6700 XT ME firmware, version 20.50
-    (amdgpu/navy_flounder_me.bin)
-  * AMD Radeon RX 6700 XT MEC firmware, version 20.50
-    (amdgpu/navy_flounder_mec.bin)
-  * AMD Radeon RX 6700 XT MEC2 firmware, version 20.50
-    (amdgpu/navy_flounder_mec2.bin)
-  * AMD Radeon RX 6700 XT PFP firmware, version 20.50
-    (amdgpu/navy_flounder_pfp.bin)
-  * AMD Radeon RX 6700 XT RLC firmware, version 20.50
-    (amdgpu/navy_flounder_rlc.bin)
-  * AMD Radeon RX 6700 XT SDMA firmware, version 20.50
-    (amdgpu/navy_flounder_sdma.bin)
-  * AMD Radeon RX 6700 XT SMC firmware, version 20.50
-    (amdgpu/navy_flounder_smc.bin)
-  * AMD Radeon RX 6700 XT SOS firmware, version 20.50
-    (amdgpu/navy_flounder_sos.bin)
-  * AMD Radeon RX 6700 XT TA firmware, version 20.50
-    (amdgpu/navy_flounder_ta.bin)
-  * AMD Radeon RX 6700 XT VCN firmware, version 20.50
-    (amdgpu/navy_flounder_vcn.bin)
-  * Radeon HD 8500/8600/8700 series CE microcode (amdgpu/oland_ce.bin)
-  * Radeon HD 8500/8600/8700 series K SMC microcode
-    (amdgpu/oland_k_smc.bin)
