## firmware-nonfree 20221012

=== debian/changelog ===
firmware-nonfree (1:20221012-1~bpo11+1+rpt1) bullseye; urgency=medium

  [ Phil Elwell ]
  * Add CYW43455 firmware (cyfmac43455-sdio-standard):
    - Version: 7.45.241 (1a2f2fa CY) CRC: 959ad1c7 Date: Mon 2021-11-01 00:40:29 PDT Ucode Ver: 1043.2164 FWID 01-703fd60
  * Add "minimal" 43455 firmware for AP+STA mode (cyfmac43455-sdio-minimal):
    - Version: 7.45.241 (1a2f2fa CY) CRC: 349757d5 Date: Mon 2021-11-01 00:40:07 PDT Ucode Ver: 1043.2164 FWID 01-5209c09
  * Add CYW43430 firmware (cyfmac43430-sdio):
    - Version: 7.45.98 (TOB) (56df937 CY) CRC: 442f3e3 Date: Mon 2021-07-19 03:25:10 CDT Ucode Ver: 1043.213703 FWID 01-8e14b897
  * Add SYN43436P firmware for Zero 2 W (brcmfmac43436-sdio):
    - Version: 9.88.4.77 CRC: 143f9f15 Date: Thu 2022-03-31 17:25:16 CST Ucode Ver: 1043.20743 FWID: 01-3b307371
  * Add SYN43436S firmware for future Zero 2 W boards (brcmfmac43436s-sdio):
    - Version: 7.45.96.141 (g53ba0094) CRC: 6a9f22a0 Date: Tue 2022-07-05 21:30:23 CST Ucode Ver: 1043.20739 FWID: 01-eef9b3bf
  * Add CYW43456 firmware and (brcmfmac43456-sdio):
    - Version: 7.84.17.1 (r871554) CRC: 72494685 Date: Thu 2020-05-14 17:41:11 KST Ucode Ver: 1043.20424 FWID: 01-3d9e1d87
  * Add CYW43439 firmware for Pico W (43439A0-7.95.49.00.combined):
    - Version: 7.95.49 (2271bb6 CY) CRC: b7a28ef3 Date: Mon 2021-11-29 22:50:27 PST Ucode Ver: 1043.2162 FWID 01-c51d9400
  * Add license from Synaptics

  [ Serge Schneider ]
  * Add update-alternatives for standard and minimal versions of
    cyfmac43455-sdio.bin
    - See debian/config/brcm80211/cypress/README.txt
  * Use linux-support-5.10.0-9
  * Revert incompatible linux-support changes
  * Update debian/copyright

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 31 Oct 2022 14:31:34 +0000

firmware-nonfree (20221012-1) unstable; urgency=medium

  * New upstream version

  [ Didier Raboud ]
  * Update dependency and modinfo from linux 6.0.0-2 on amd64
  * 20221012:
    - misc-nonfree: update cxgb4 firmware to 1.27.0.0
    - misc-nonfree: update firmware versions for MT7921 and MT7922 devices
    - misc-nonfree: add MediaTek mt8186 and mt8195 scp firmware
    - realtek: add Realtek RTL8852C, RTL8852BU and RTL8852CU config and firmware

  [ Dmitry Baryshkov ]
  * atheros: ath11k: WCN3990 hw1.0: add board-2.bin, board data file
  * atheros: ath11k: Add firmware for QCN9074 (hw1.0), WCN6750 (hw1.0) and
    WCN6855 (hw2.0, hw2.1) (Closes: #1021157)
  * atheros: qca: Add WCN685x 0109 NVM bluetooth firmware
  * atheros: qca: Add bluetooth firmware for WCN685x ROM 13.2.1
  * qcom-soc: Fix paths for Lenovo ThinkPas X13s firmware
  * qcom-soc: Add new Adreno firmware (a200, a330, a420)
  * qcom-soc: Add firmware for APQ8096 (including lintian overrides for
    reported issues with apq8096/modem.mbn)

  [ Ben Hutchings ]
  * atheros: Fix capitalisation in some file descriptions

 -- Ben Hutchings <benh@debian.org>  Mon, 31 Oct 2022 01:18:11 +0100
