=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: non-free/kernel
 Priority: optional
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
-Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
+Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>
 Standards-Version: 4.0.1
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 13)
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
 XS-Autobuild: yes
@@ -49,17 +49,37 @@
  supported by the radeon, amdgpu and r128 drivers.
  .
  Contents:
-  * AMD Arcturus ASDN firmware (amdgpu/arcturus_asd.bin)
-  * AMD Arcturus GPU info firmware (amdgpu/arcturus_gpu_info.bin)
-  * AMD Arcturus MEC2 firmware (amdgpu/arcturus_mec2.bin)
-  * AMD Arcturus MEC firmware (amdgpu/arcturus_mec.bin)
-  * AMD Arcturus RLC firmware (amdgpu/arcturus_rlc.bin)
-  * AMD Arcturus SDMA firmware (amdgpu/arcturus_sdma.bin)
-  * AMD Arcturus SMC firmware (amdgpu/arcturus_smc.bin)
-  * AMD Arcturus SOS firmware (amdgpu/arcturus_sos.bin)
-  * AMD Arcturus TA firmware (amdgpu/arcturus_ta.bin)
-  * AMD Arcturus VCN firmware (amdgpu/arcturus_vcn.bin)
+  * "Aldebaran" MEC firmware (amdgpu/aldebaran_mec.bin)
+  * "Aldebaran" MEC2 firmware (amdgpu/aldebaran_mec2.bin)
+  * "Aldebaran" RLC firmware (amdgpu/aldebaran_rlc.bin)
+  * "Aldebaran" SDMA firmware (amdgpu/aldebaran_sdma.bin)
+  * "Aldebaran" SMC firmware (amdgpu/aldebaran_smc.bin)
+  * "Aldebaran" SOS firmware (amdgpu/aldebaran_sos.bin)
+  * "Aldebaran" TA firmware (amdgpu/aldebaran_ta.bin)
+  * "Aldebaran" VCN firmware (amdgpu/aldebaran_vcn.bin)
+  * "Arcturus" ASDN firmware (amdgpu/arcturus_asd.bin)
+  * "Arcturus" GPU info firmware (amdgpu/arcturus_gpu_info.bin)
+  * "Arcturus" MEC2 firmware (amdgpu/arcturus_mec2.bin)
+  * "Arcturus" MEC firmware (amdgpu/arcturus_mec.bin)
+  * "Arcturus" RLC firmware (amdgpu/arcturus_rlc.bin)
+  * "Arcturus" SDMA firmware (amdgpu/arcturus_sdma.bin)
+  * "Arcturus" SMC firmware (amdgpu/arcturus_smc.bin)
+  * "Arcturus" SOS firmware (amdgpu/arcturus_sos.bin)
+  * "Arcturus" TA firmware (amdgpu/arcturus_ta.bin)
+  * "Arcturus" VCN firmware (amdgpu/arcturus_vcn.bin)
   * "Banks" K-2 SMC microcode (amdgpu/banks_k_2_smc.bin)
+  * "Beige Goby" CE firmware (amdgpu/beige_goby_ce.bin)
+  * "Beige Goby" DMCUB firmware (amdgpu/beige_goby_dmcub.bin)
+  * "Beige Goby" ME firmware (amdgpu/beige_goby_me.bin)
+  * "Beige Goby" MEC firmware (amdgpu/beige_goby_mec.bin)
+  * "Beige Goby" MEC2 firmware (amdgpu/beige_goby_mec2.bin)
+  * "Beige Goby" PFP firmware (amdgpu/beige_goby_pfp.bin)
+  * "Beige Goby" RLC firmware (amdgpu/beige_goby_rlc.bin)
+  * "Beige Goby" SDMA firmware (amdgpu/beige_goby_sdma.bin)
+  * "Beige Goby" SMC firmware (amdgpu/beige_goby_smc.bin)
+  * "Beige Goby" SOS firmware (amdgpu/beige_goby_sos.bin)
+  * "Beige Goby" TA firmware (amdgpu/beige_goby_ta.bin)
+  * "Beige Goby" VCN firmware (amdgpu/beige_goby_vcn.bin)
   * Radeon HD 7790/8770/8950 CE microcode (amdgpu/bonaire_ce.bin)
   * Radeon HD 7790/8770/8950 K SMC microcode (amdgpu/bonaire_k_smc.bin)
   * Radeon HD 7790/8770/8950 MC microcode (amdgpu/bonaire_mc.bin)
@@ -83,27 +103,29 @@
   * "Carrizo" SDMA1 firmware (amdgpu/carrizo_sdma1.bin)
   * "Carrizo" UVD firmware, version 1.87 (amdgpu/carrizo_uvd.bin)
   * "Carrizo" VCE firmware (amdgpu/carrizo_vce.bin)
-  * AMD "Dimgrey Cavefish" CE firmware (amdgpu/dimgrey_cavefish_ce.bin)
-  * AMD "Dimgrey Cavefish" DMCUB firmware
+  * "Cyan Skillfish2" CE firmware (amdgpu/cyan_skillfish2_ce.bin)
+  * "Cyan Skillfish2" ME firmware (amdgpu/cyan_skillfish2_me.bin)
+  * "Cyan Skillfish2" MEC firmware (amdgpu/cyan_skillfish2_mec.bin)
+  * "Cyan Skillfish2" MEC2 firmware (amdgpu/cyan_skillfish2_mec2.bin)
+  * "Cyan Skillfish2" PFP firmware (amdgpu/cyan_skillfish2_pfp.bin)
+  * "Cyan Skillfish2" RLC firmware (amdgpu/cyan_skillfish2_rlc.bin)
+  * "Cyan Skillfish2" SDMA firmware (amdgpu/cyan_skillfish2_sdma.bin)
+  * "Cyan Skillfish2" SDMA1 firmware (amdgpu/cyan_skillfish2_sdma1.bin)
+  * DCN 3.1.5 DMCUB firmware (amdgpu/dcn_3_1_5_dmcub.bin)
+  * DCN 3.1.6 DMCUB firmware (amdgpu/dcn_3_1_6_dmcub.bin)
+  * "Dimgrey Cavefish" CE firmware (amdgpu/dimgrey_cavefish_ce.bin)
+  * "Dimgrey Cavefish" DMCUB firmware
     (amdgpu/dimgrey_cavefish_dmcub.bin)
-  * AMD "Dimgrey Cavefish" ME firmware (amdgpu/dimgrey_cavefish_me.bin)
-  * AMD "Dimgrey Cavefish" MEC firmware
-    (amdgpu/dimgrey_cavefish_mec.bin)
-  * AMD "Dimgrey Cavefish" MEC2 firmware
-    (amdgpu/dimgrey_cavefish_mec2.bin)
-  * AMD "Dimgrey Cavefish" PFP firmware
-    (amdgpu/dimgrey_cavefish_pfp.bin)
-  * AMD "Dimgrey Cavefish" RLC firmware
-    (amdgpu/dimgrey_cavefish_rlc.bin)
-  * AMD "Dimgrey Cavefish" SDMA firmware
-    (amdgpu/dimgrey_cavefish_sdma.bin)
-  * AMD "Dimgrey Cavefish" SMC firmware
-    (amdgpu/dimgrey_cavefish_smc.bin)
-  * AMD "Dimgrey Cavefish" SOS firmware
-    (amdgpu/dimgrey_cavefish_sos.bin)
-  * AMD "Dimgrey Cavefish" TA firmware (amdgpu/dimgrey_cavefish_ta.bin)
-  * AMD "Dimgrey Cavefish" VCN firmware
-    (amdgpu/dimgrey_cavefish_vcn.bin)
+  * "Dimgrey Cavefish" ME firmware (amdgpu/dimgrey_cavefish_me.bin)
+  * "Dimgrey Cavefish" MEC firmware (amdgpu/dimgrey_cavefish_mec.bin)
+  * "Dimgrey Cavefish" MEC2 firmware (amdgpu/dimgrey_cavefish_mec2.bin)
+  * "Dimgrey Cavefish" PFP firmware (amdgpu/dimgrey_cavefish_pfp.bin)
+  * "Dimgrey Cavefish" RLC firmware (amdgpu/dimgrey_cavefish_rlc.bin)
+  * "Dimgrey Cavefish" SDMA firmware (amdgpu/dimgrey_cavefish_sdma.bin)
+  * "Dimgrey Cavefish" SMC firmware (amdgpu/dimgrey_cavefish_smc.bin)
+  * "Dimgrey Cavefish" SOS firmware (amdgpu/dimgrey_cavefish_sos.bin)
+  * "Dimgrey Cavefish" TA firmware (amdgpu/dimgrey_cavefish_ta.bin)
+  * "Dimgrey Cavefish" VCN firmware (amdgpu/dimgrey_cavefish_vcn.bin)
   * "Fiji" CE firmware (amdgpu/fiji_ce.bin)
   * "Fiji" MC firmware (amdgpu/fiji_mc.bin)
   * "Fiji" ME firmware (amdgpu/fiji_me.bin)
@@ -116,17 +138,29 @@
   * "Fiji" SMC firmware (amdgpu/fiji_smc.bin)
   * "Fiji" UVD firmware, version 1.87.12 (amdgpu/fiji_uvd.bin)
   * "Fiji" VCE firmware (amdgpu/fiji_vce.bin)
-  * AMD RYZEN 5000 ASD firmware (amdgpu/green_sardine_asd.bin)
-  * AMD RYZEN 5000 CE firmware (amdgpu/green_sardine_ce.bin)
-  * AMD RYZEN 5000 DMCUB firmware (amdgpu/green_sardine_dmcub.bin)
-  * AMD RYZEN 5000 ME firmware (amdgpu/green_sardine_me.bin)
-  * AMD RYZEN 5000 MEC2 firmware (amdgpu/green_sardine_mec2.bin)
-  * AMD RYZEN 5000 MEC firmware (amdgpu/green_sardine_mec.bin)
-  * AMD RYZEN 5000 PFP firmware (amdgpu/green_sardine_pfp.bin)
-  * AMD RYZEN 5000 RLC firmware (amdgpu/green_sardine_rlc.bin)
-  * AMD RYZEN 5000 SDMA firmware (amdgpu/green_sardine_sdma.bin)
-  * AMD RYZEN 5000 TA firmware (amdgpu/green_sardine_ta.bin)
-  * AMD RYZEN 5000 VCN firmware (amdgpu/green_sardine_vcn.bin)
+  * GC 10.3.6 CE firmware (amdgpu/gc_10_3_6_ce.bin)
+  * GC 10.3.6 ME firmware (amdgpu/gc_10_3_6_me.bin)
+  * GC 10.3.6 MEC firmware (amdgpu/gc_10_3_6_mec.bin)
+  * GC 10.3.6 MEC2 firmware (amdgpu/gc_10_3_6_mec2.bin)
+  * GC 10.3.6 PFP firmware (amdgpu/gc_10_3_6_pfp.bin)
+  * GC 10.3.6 RLC firmware (amdgpu/gc_10_3_6_rlc.bin)
+  * GC 10.3.7 CE firmware (amdgpu/gc_10_3_7_ce.bin)
+  * GC 10.3.7 ME firmware (amdgpu/gc_10_3_7_me.bin)
+  * GC 10.3.7 MEC firmware (amdgpu/gc_10_3_7_mec.bin)
+  * GC 10.3.7 MEC2 firmware (amdgpu/gc_10_3_7_mec2.bin)
+  * GC 10.3.7 PFP firmware (amdgpu/gc_10_3_7_pfp.bin)
+  * GC 10.3.7 RLC firmware (amdgpu/gc_10_3_7_rlc.bin)
+  * Ryzen 5000 ASD firmware (amdgpu/green_sardine_asd.bin)
+  * Ryzen 5000 CE firmware (amdgpu/green_sardine_ce.bin)
+  * Ryzen 5000 DMCUB firmware (amdgpu/green_sardine_dmcub.bin)
+  * Ryzen 5000 ME firmware (amdgpu/green_sardine_me.bin)
+  * Ryzen 5000 MEC2 firmware (amdgpu/green_sardine_mec2.bin)
+  * Ryzen 5000 MEC firmware (amdgpu/green_sardine_mec.bin)
+  * Ryzen 5000 PFP firmware (amdgpu/green_sardine_pfp.bin)
+  * Ryzen 5000 RLC firmware (amdgpu/green_sardine_rlc.bin)
+  * Ryzen 5000 SDMA firmware (amdgpu/green_sardine_sdma.bin)
+  * Ryzen 5000 TA firmware (amdgpu/green_sardine_ta.bin)
+  * Ryzen 5000 VCN firmware (amdgpu/green_sardine_vcn.bin)
   * Radeon HD 8500M series and R5 M200 CE microcode
     (amdgpu/hainan_ce.bin)
   * Radeon HD 8500M series and R5 M200 K SMC microcode
@@ -193,48 +227,3 @@
     (amdgpu/mullins_sdma1.bin)
   * Radeon "Mullins"/"Beema" IGP UVD microcode (amdgpu/mullins_uvd.bin)
   * Radeon "Mullins"/"Beema" IGP VCE microcode (amdgpu/mullins_vce.bin)
-  * "Navi 10" ASD firmware (amdgpu/navi10_asd.bin)
-  * "Navi 10" CE firmware (amdgpu/navi10_ce.bin)
-  * "Navi 10" GPU info (amdgpu/navi10_gpu_info.bin)
-  * "Navi 10" ME firmware (amdgpu/navi10_me.bin)
-  * "Navi 10" MEC firmware (amdgpu/navi10_mec.bin)
-  * "Navi 10" MEC2 firmware (amdgpu/navi10_mec2.bin)
-  * "Navi 10" PFP firmware (amdgpu/navi10_pfp.bin)
-  * "Navi 10" RLC firmware (amdgpu/navi10_rlc.bin)
-  * "Navi 10" SDMA firmware (amdgpu/navi10_sdma.bin)
-  * "Navi 10" SDMA1 firmware (amdgpu/navi10_sdma1.bin)
-  * "Navi 10" SMC firmware (amdgpu/navi10_smc.bin)
-  * "Navi 10" SOS firmware (amdgpu/navi10_sos.bin)
-  * "Navi 10" TA firmware (amdgpu/navi10_ta.bin)
-  * "Navi 10" VCN firmware (amdgpu/navi10_vcn.bin)
-  * "Navi 12" ASD firmware (amdgpu/navi12_asd.bin)
-  * "Navi 12" CE firmware (amdgpu/navi12_ce.bin)
-  * "Navi 12" DMCU firmware (amdgpu/navi12_dmcu.bin)
-  * "Navi 12" GPU info (amdgpu/navi12_gpu_info.bin)
-  * "Navi 12" ME firmware (amdgpu/navi12_me.bin)
-  * "Navi 12" MEC firmware (amdgpu/navi12_mec.bin)
-  * "Navi 12" MEC2 firmware (amdgpu/navi12_mec2.bin)
-  * "Navi 12" PFP firmware (amdgpu/navi12_pfp.bin)
-  * "Navi 12" RLC firmware (amdgpu/navi12_rlc.bin)
-  * "Navi 12" SDMA firmware (amdgpu/navi12_sdma.bin)
-  * "Navi 12" SDMA1 firmware (amdgpu/navi12_sdma1.bin)
-  * "Navi 12" SMC firmware (amdgpu/navi12_smc.bin)
-  * "Navi 12" SOS firmware (amdgpu/navi12_sos.bin)
-  * "Navi 12" VCN firmware (amdgpu/navi12_vcn.bin)
-  * "Navi 12" TA firmware (amdgpu/navi12_ta.bin)
-  * "Navi 14" ASD firmware (amdgpu/navi14_asd.bin)
-  * "Navi 14" CE firmware (amdgpu/navi14_ce.bin)
-  * "Navi 14 wks" CE firmware (amdgpu/navi14_ce_wks.bin)
-  * "Navi 14" GPU info (amdgpu/navi14_gpu_info.bin)
-  * "Navi 14" ME firmware (amdgpu/navi14_me.bin)
-  * "Navi 14 wks" ME firmware (amdgpu/navi14_me_wks.bin)
-  * "Navi 14" MEC firmware (amdgpu/navi14_mec.bin)
-  * "Navi 14" MEC2 firmware (amdgpu/navi14_mec2.bin)
-  * "Navi 14 wks" MEC2 firmware (amdgpu/navi14_mec2_wks.bin)
-  * "Navi 14 wks" MEC firmware (amdgpu/navi14_mec_wks.bin)
-  * "Navi 14" PFP firmware (amdgpu/navi14_pfp.bin)
-  * "Navi 14 wks" PFP firmware (amdgpu/navi14_pfp_wks.bin)
-  * "Navi 14" RLC firmware (amdgpu/navi14_rlc.bin)
-  * "Navi 14" SDMA firmware (amdgpu/navi14_sdma.bin)
-  * "Navi 14" SDMA1 firmware (amdgpu/navi14_sdma1.bin)
-  * "Navi 14" SMC firmware (amdgpu/navi14_smc.bin)
