=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 SHELL := sh -e
 SOURCE := $(shell dpkg-parsechangelog -SSource)
 VERSION := $(shell dpkg-parsechangelog -SVersion)
-VERSION_UPSTREAM := $(shell echo "$(VERSION)" | sed -e 's,-[^-]*$$,,')
+VERSION_UPSTREAM := $(shell echo "$(VERSION)" | sed -e 's,^[^:]*:\?,,;s,-[^-]*$$,,')
 VERSION_BINNMU := $(shell echo "$(VERSION)" | sed -rne 's,.*\+b([0-9]+)$$,\1,p')
 VERSION_SOURCE := $(patsubst %+b$(VERSION_BINNMU),%,$(VERSION))
 
@@ -28,7 +28,7 @@
 binary:	binary-indep binary-arch
 
 CONTROL_FILES = debian/build/version-info $(wildcard debian/templates/*.in)
-CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) $(wildcard debian/config/*/copyright) $(wildcard debian/config/*/LICENSE*) debian/modinfo.json
+CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) debian/modinfo.json
 
 # debian/bin/gencontrol.py uses debian/changelog as input, but the
 # output only depends on the source name and version.  To avoid
@@ -79,11 +79,14 @@
 maintainerclean:
 	-rm debian/control debian/control.md5sum debian/rules.gen
 	rm -f debian/*.bug-presubj
-	-rm debian/*.copyright
 	-rm debian/*.hook.*
 	rm -f debian/*.metainfo.xml
 	-rm debian/*.preinst
-	-rm debian/*.postinst
+	-find debian/ -type f -name '*.postinst' ! -name 'firmware-brcm80211.postinst' -delete
 	-rm debian/*.templates
 
-.PHONY: clean build-indep build-arch build binary-indep binary-arch binary
+linux-support-name:
+	@echo linux-support-$(KERNELVERSION)
+
+.PHONY: clean build-indep build-arch build binary-indep binary-arch binary \
+	linux-support-name
