## firmware-nonfree 20221109

=== debian/changelog ===
firmware-nonfree (20221109-4~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux AHS: update to linux-support 6.0.0-5mx.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 16 Dec 2022 13:31:59 -0800

firmware-nonfree (20221109-4) unstable; urgency=medium

  * Update to linux-support 6.0.0-5
  * iwlwifi: Add Intel Wireless Bluethooth AX201 firmware and configuration
    (Closes: #1025132)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 02 Dec 2022 13:28:27 +0100

firmware-nonfree (20221109-3) unstable; urgency=medium

  * misc-nonfree: i915: Add versionless HuC files for current platforms
    (Closes: #1024881)
  * misc-nonfree: i915: Add GuC v70.5.1 for DG1, DG2, TGL and ADL-P
    (Closes: #1024881)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 27 Nov 2022 21:09:34 +0100

firmware-nonfree (20221109-2) unstable; urgency=medium

  * qlogic: Add QLogic QL45000 series firmware version 8.59.1.0
    (Closes: #1016945)
  * misc-nonfree: Add MediaTek MT7922 bluetooth firmware (Closes: #1023289)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 19 Nov 2022 09:51:39 +0100

firmware-nonfree (20221109-1) unstable; urgency=medium

  * New upstream version

  [ Didier Raboud ]
  * Update dependency to linux 6.0.0-4
  * iwlwifi: update 9000-family firmwares to core72-129
  * iwlwifi: add new FWs from core69-81 release (Closes: #1023240)
  * iwlwifi: update firmware files for Intel Bluetooth AX2*
  * iwlwifi: Add Intel Wireless AX211 Bluethooth firmware and
    configuration (Closes: #1023245)
  * qcom-soc: venus: replace split firmware with mbn files

  [ Salvatore Bonaccorso ]
  * Add myself to Uploaders

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 18 Nov 2022 11:18:32 +0100
