=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: non-free/kernel
 Priority: optional
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
-Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>
+Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
 Standards-Version: 4.0.1
 Build-Depends: debhelper-compat (= 13)
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
@@ -31,9 +31,9 @@
 Architecture: all
 Section: non-free/oldlibs
 Depends: firmware-qcom-soc, ${misc:Depends}
+Multi-Arch: foreign
 Description: Binary firmware for Qualcomm graphics/video (dummy package)
  This is a dummy transitional package.  It can be safely removed.
-Multi-Arch: foreign
 
 Package: firmware-amd-graphics
 Architecture: all
@@ -44,6 +44,7 @@
 Replaces: firmware-linux-nonfree (<< 20151018-1~)
 Breaks: firmware-linux-nonfree (<< 20151018-1~)
 Conflicts: 
+Multi-Arch: foreign
 Description: Binary firmware for AMD/ATI graphics chips
  This package contains the binary firmware for AMD/ATI graphics chips
  supported by the radeon, amdgpu and r128 drivers.
@@ -226,4 +227,3 @@
   * Radeon "Mullins"/"Beema" IGP SDMA1 microcode
     (amdgpu/mullins_sdma1.bin)
   * Radeon "Mullins"/"Beema" IGP UVD microcode (amdgpu/mullins_uvd.bin)
-  * Radeon "Mullins"/"Beema" IGP VCE microcode (amdgpu/mullins_vce.bin)
